Package ru.bitel.bgbilling.modules.smarthouse.common.bean.intercom

# Class SmartHouseIntercom

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.smarthouse.common.bean.intercom.SmartHouseIntercom

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class SmartHouseIntercom
    extends Id

Домофон

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SmartHouseIntercom()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getData()` |
  `int` | `getEntrance()` |
  `java.lang.String` | `getFlatRange()` |
  `int` | `getHouseId()` |
  `SmartHouseIntercomType` | `getType()` |
  `void` | `setData​(java.lang.String data)` |
  `void` | `setEntrance​(int entrance)` |
  `void` | `setFlatRange​(java.lang.String flatRange)` |
  `void` | `setHouseId​(int houseId)` |
  `void` | `setType​(SmartHouseIntercomType type)` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SmartHouseIntercom

    public SmartHouseIntercom()

- ## Method Details

  - ### getHouseId

    public int getHouseId()

  - ### setHouseId

    public void setHouseId​(int houseId)

  - ### getEntrance

    public int getEntrance()

  - ### setEntrance

    public void setEntrance​(int entrance)

  - ### getType

    public SmartHouseIntercomType getType()

  - ### setType

    public void setType​(SmartHouseIntercomType type)

  - ### getData

    public java.lang.String getData()

  - ### setData

    public void setData​(java.lang.String data)

  - ### getFlatRange

    public java.lang.String getFlatRange()

  - ### setFlatRange

    public void setFlatRange​(java.lang.String flatRange)